Aller au contenu
Se connecter S'inscrire

API Auteur Google Scholar

Récupérez le profil complet d’un auteur Google Scholar, y compris sa liste de publications, ses statistiques de citations et ses collègues. Définissez engine=google_scholar_author et transmettez l’ID de l’auteur dans author_id.

GET https://serp.shifter.io/v1?engine=google_scholar_author&api_key=YOUR_API_KEY
ParameterTypeRequiredDescription
api_keystringyesVotre clé API SERP
enginestringyesDoit être google_scholar_author
author_idstringyesL’ID de l’auteur Google Scholar
devicestringnodesktop, mobile, ou tablet
view_opstringnoview_citation ou list_colleagues
sortstringnotitle ou pubdate
citation_idstringnoRequis lorsque view_op=view_citation
hlstringnoCode de langue de l’interface
startintnoDécalage des résultats pour la pagination
numintnoNombre de résultats par page
Fenêtre de terminal
curl "https://serp.shifter.io/v1?engine=google_scholar_author&api_key=YOUR_API_KEY&author_id=LSsXyncAAAAJ"
{
"search_parameters": {
"engine": "google_scholar_author",
"author_id": "LSsXyncAAAAJ"
},
"author": {
"name": "Jane Doe",
"affiliations": "Professor, Stanford University",
"email": "Verified email at stanford.edu",
"interests": [ { "title": "Machine Learning" } ],
"thumbnail": "https://scholar.google.com/citations?view_op=view_photo&user=..."
},
"articles": [
{
"title": "Deep learning for computer vision",
"link": "https://scholar.google.com/citations?view_op=view_citation&...",
"citation_id": "u5HHmVD_uO8C",
"year": "2015",
"cited_by": { "value": 4500 }
}
],
"cited_by": {
"table": [ { "citations": { "all": 12000, "since_2019": 8000 } } ]
}
}